#
# spec file for package vdr-plugin-remote
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pluginversion 0.5.0
%define pluginname remote
%define pluginurl http://www.escape-edv.de/endriss/vdr
#
%define plugindir %{pluginname}-%{pluginversion}
%define plugintarball vdr-%{pluginname}-%{pluginversion}.tgz
#
Name:           vdr-plugin-remote
Version:        %{pluginversion}
Release:        5.2
Summary:        VDR %{pluginname} plugin
License:        GPL-2.0+
Group:          Hardware/TV
Url:            %{pluginurl}
Source:         %{plugintarball}
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  vdr-devel
# FIXME: use proper Requires(pre/post/preun/...)
PreReq:         %vdr_prereq
# only needed for packages that used the old naming scheme
Obsoletes:      vdr-%{pluginname} < %{pluginversion}
# used to be in vdr-plugins
Provides:       vdr-plugins:%{_docdir}/vdr/plugins/%{pluginname}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Conflicts:      vdr-plugins <= 0.5

%description
%{vdrname} %{pluginname} plugin

%prep
%setup -q -n %{plugindir}

%build
# use msgmerge wrapper
export PATH=%{_datadir}/vdr:$PATH
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
%find_lang vdr-%{pluginname}

%files -f vdr-%{pluginname}.lang
%defattr(-,root,root)
%doc COPYING HISTORY README FAQ
%{vdr_libdir}/*

%changelog
* Sun Mar 30 2014 seife+obs@b1-systems.com
- update to version 0.5.0
  - easier to build with plain make
  - obsolete remote-0.4.0-locale.diff
- other changes from HISTORY file:
  - Updated Italian language texts.
  - Fixed some compiler warnings.
  - Telnet section added to FAQ.
  - Fixed crash with TTY and/or Telnet remotes when VDR terminated
  - Access /proc/av7110_ir in write-only mode (for newer kernels)
- run spec-cleaner
* Thu May 20 2010 lnussel@suse.de
- change group to Hardware/TV
* Thu Jun  4 2009 lnussel@suse.de
- split vdr-plugin-xine off vdr-plugins
